Home > PHP > XAMPP 1.7.3にPHPUnit 3.5をインストールする

XAMPP 1.7.3にPHPUnit 3.5をインストールする

XAMPP(Lite)環境にPHPUnitをインストールした時にかなりはまったので、そのメモです。
環境は以下。

  • XAMPP Lite 1.7.3 for Windows(PEARははじめからインストールされています)
  • PHPUnitのバージョンは3.5

PEARを最新版にアップグレードする

まずcmdでxamppのphpディレクトリに移動して(pearコマンドのパスが通っている場所)、PEARのバージョンを確認します。
恐らく以下のように、1.9.0のはずなので、最新版にアップグレードします。(アップグレードしないと、PHPUnit3.5のインストールが中途半端になります

cd C:\xampplite\php
pear version
>PEAR Version: 1.9.0
>PHP Version: 5.3.1
>Zend Engine Version: 2.3.0
>Running on: Windows NT XX 5.1 build 2600 (Windows XP Professional Service Pack 3) i586

以下のコマンドでPEARをアップグレードします。これで1.9.1になると思います。

pear upgrade PEAR
pear version

PEARチャネルを追加する

以下のコマンドを打ち、PEARチャネルを追加します。

pear channel-discover pear.phpunit.de
pear channel-discover components.ez.no
pear channel-discover pear.symfony-project.com

PHPUnitをインストールする

以下のコマンドでインストールします。

pear install phpunit/PHPUnit

以下のコマンドで追加したチャネルにPHPUnitで必要なライブラリがインストールされていることを確認します。

pear list -a

PHPUnitを実行する

以上の手順を踏むと、C:\xampplite\phpに「phpunit.bat」ができていると思います。
そのバッチファイルを実行し、正しく動いているか確認します。

phpunit --version
>PHPUnit 3.5.0 by Sebastian Bergmann.

参考

Comments:4

Sunvisor 2011年1月15日

ありがとうございます。助かりました。

じゅん 2011年4月24日

ありがとうございます。できました。

oukarai 2012年3月21日

Add Your Comment

oukarai 2012年3月21日

ありがとうございます。助かりました。

Comment Form
Remember personal info

Trackbacks:0

Trackback URL for this entry
http://sinsengumi.net/blog/2010/09/xampp-1-7-3%e3%81%abphpunit-3-5%e3%82%92%e3%82%a4%e3%83%b3%e3%82%b9%e3%83%88%e3%83%bc%e3%83%ab%e3%81%99%e3%82%8b/trackback/
Listed below are links to weblogs that reference
XAMPP 1.7.3にPHPUnit 3.5をインストールする from sinsengumi血風録

Home > PHP > XAMPP 1.7.3にPHPUnit 3.5をインストールする

Search
Feeds
Meta

Return to page top